Bug 530297 (CVE-2009-3879) - CVE-2009-3879 OpenJDK GraphicsConfiguration information leak(6822057)
Summary: CVE-2009-3879 OpenJDK GraphicsConfiguration information leak(6822057)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3879
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 530367 530368 532004 532005 534067 534068
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-22 08:42 UTC by Marc Schoenefeld
Modified: 2019-09-29 12:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-21 22:47:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1560 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2009-11-09 15:04:13 UTC
Red Hat Product Errata RHSA-2009:1571 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2009-11-10 19:30:16 UTC
Red Hat Product Errata RHSA-2009:1584 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2009-11-16 15:44:53 UTC
Red Hat Product Errata RHSA-2009:1662 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server Sun Java Runtime security update 2009-12-11 13:42:50 UTC

Comment 4 Mark J. Cox 2009-11-03 23:12:41 UTC
X11 and Win32GraphicsDevice don't clone arrays returned from
getConfigurations().
Therefore the list supported graphics configurations can be accessed and
modified via the elements of an array returned by getConfiguration().

Comment 5 errata-xmlrpc 2009-11-09 15:04:52 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1560 https://rhn.redhat.com/errata/RHSA-2009-1560.html

Comment 7 errata-xmlrpc 2009-11-10 19:30:37 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1571 https://rhn.redhat.com/errata/RHSA-2009-1571.html

Comment 8 Fedora Update System 2009-11-13 08:46:11 UTC
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-33.b16.fc12

Comment 9 Fedora Update System 2009-11-13 08:50:06 UTC
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-23.b16.fc10

Comment 10 Fedora Update System 2009-11-13 16:35:14 UTC
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-30.b16.fc11

Comment 11 Fedora Update System 2009-11-14 03:30:11 UTC
java-1.6.0-openjdk-1.6.0.0-30.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-11-14 03:32:04 UTC
java-1.6.0-openjdk-1.6.0.0-33.b16.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-14 03:33:16 UTC
java-1.6.0-openjdk-1.6.0.0-23.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2009-11-16 15:45:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1584 https://rhn.redhat.com/errata/RHSA-2009-1584.html

Comment 15 errata-xmlrpc 2009-12-11 13:44:11 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1662 https://rhn.redhat.com/errata/RHSA-2009-1662.html


Note You need to log in before you can comment on or make changes to this bug.